Summary: A framework for managing user passwords and other secrets
Name: gnome-keyring-manager

%global momorel 2
%global md5sum_src0 d4e38c7b7da99885fa898917e10d8aeb
Version: 2.14.0
Release: %{momorel}m
Group: System Environment/Libraries
License: GPL
URL: http://www.gnome.org

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.14/%{name}-%{version}.tar.bz2 %{md5sum_src0}

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk+-devel >= 2.8.16
BuildRequires: gnome-keyring >= 0.4.9
BuildPreReq: openssl-devel >= 0.9.8a

%description
This is a keyring management program for the GNOME Desktop. The development of
this application will be like a tutorial for people on gnome-love and the main
idea is that these people in gnome-love do the code themself, helped by the
hacker-trainers.

You can follow the development of this application on:
  http://live.gnome.org/GnomeLove_2fGnomeKeyringManager

%prep
%setup -q

%build
%configure --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall _sklocalstatedir=%{buildroot}/var/scrollkeeper
rm -rf --preserve-root %{buildroot}/var/scrollkeeper

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING ChangeLog HACKING
%{_bindir}/*
%{_datadir}/locale/*/*/*
%{_sysconfdir}/gconf/schemas/gnome-keyring-manager.schemas
%{_datadir}/applications/gnome-keyring-manager.desktop
%{_datadir}/gnome-keyring-manager
%{_datadir}/gnome/help/gnome-keyring-manager
%{_mandir}/man1/*.bz2
%{_datadir}/omf/gnome-keyring-manager

%changelog
* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-2m)
- rebuild against openssl-0.9.8a

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-1m)
- update to 2.14.0

* Mon Nov 21 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.0-1m)
- start
- GNOME 2.12.1 Desktop
